Intrusion Prevention

Adobe.Flash.CVE-2018-15978.Out.Of.Bounds.Read

Description

This indicates an attack attempt to exploit an Out Of Bounds Read vulnerability in Adobe Flash Player.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted SWF file. An attacker can exploit this by tricking an unsuspecting user into opening a malicious file and gain access to sensitive information.

Affected Products

Adobe Flash Player Desktop Runtime for Windows 31.0.0.110
Adobe Flash Player Desktop Runtime for Macintosh 31.0.0.110
Adobe Flash Player Desktop Runtime for Linux 31.0.0.110
Adobe Flash Player Google Chrome Plugin for Windows 31.0.0.110
Adobe Flash Player Google Chrome Plugin for Macintosh 31.0.0.110
Adobe Flash Player Google Chrome Plugin for Linux 31.0.0.110
Adobe Flash Player Google Chrome Plugin for ChromeOS 31.0.0.110
Adobe Flash Player Microsoft Edge and Internet Explorer 11 Plugin for Windows 10 and Windows 8.1 31.0.0.110

Impact

Information Disclosure: Remote attackers can gain sensitive information from vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://helpx.adobe.com/security/products/flash-player/APSB18-39.html

CVE References

CVE-2018-15978